=== debian/changelog ===
tongue (0.8-1) unstable; urgency=medium

  * Initial packaging of Tongue as a separate project.
  * Closes: #840917

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sun, 16 Oct 2016 15:04:22 +0900
