=== debian/control ===
Source: tongue
Section: interpreters
Priority: optional
Maintainer: Daniel Silverstone <dsilvers@digital-scurf.org>
Build-Depends: debhelper (>= 9.20120909~), dh-lua, lua-ldoc, lua-discount,
  lua-iconv
Standards-Version: 3.9.8
Homepage: https://git.gitano.org.uk/tongue/

Package: lua-tongue
Architecture: all
Depends: ${misc:Depends}, lua-iconv
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Multi-Arch: foreign
Description: Lua I18N library 'Tongue'
 Tongue is an internationalisation engine written in Lua which implements a
 hierarchical language pack system for Lua programs to use in localising
 messages into and out of themselves.

Package: lua-tongue-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Documentation for lua-tongue
 Tongue is an internationalisation engine written in Lua which implements a
 hierarchical language pack system for Lua programs to use in localising
 messages into and out of themselves.
 .
 This package contains the documentation on how to use the Tongue library.
