=== debian/watch ===
version=3
https://git.gitano.org.uk/tongue.git /tongue\.git/snapshot/tongue-(.+)\.tar.bz2
